<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_231) on Tue Apr 06 18:16:09 CEST 2021 -->
<title>Uses of Class back.Propriete</title>
<meta name="date" content="2021-04-06">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class back.Propriete";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../back/Propriete.html" title="class in back">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?back/class-use/Propriete.html" target="_top">Frames</a></li>
<li><a href="Propriete.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class back.Propriete" class="title">Uses of Class<br>back.Propriete</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../back/Propriete.html" title="class in back">Propriete</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#back">back</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#view">view</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="back">
<!--   -->
</a>
<h3>Uses of <a href="../../back/Propriete.html" title="class in back">Propriete</a> in <a href="../../back/package-summary.html">back</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../back/Propriete.html" title="class in back">Propriete</a> in <a href="../../back/package-summary.html">back</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../back/CentreCommercial.html" title="class in back">CentreCommercial</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../back/Salle.html" title="class in back">Salle</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../back/Service.html" title="class in back">Service</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../back/package-summary.html">back</a> that return types with arguments of type <a href="../../back/Propriete.html" title="class in back">Propriete</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>javafx.collections.transformation.SortedList&lt;<a href="../../back/Propriete.html" title="class in back">Propriete</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Joueur.</span><code><span class="memberNameLink"><a href="../../back/Joueur.html#getMatieres--">getMatieres</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../back/Propriete.html" title="class in back">Propriete</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Statistiques.</span><code><span class="memberNameLink"><a href="../../back/Statistiques.html#getSalleAchetes--">getSalleAchetes</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../back/Propriete.html" title="class in back">Propriete</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Statistiques.</span><code><span class="memberNameLink"><a href="../../back/Statistiques.html#getSalleVendues--">getSalleVendues</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../back/package-summary.html">back</a> with parameters of type <a href="../../back/Propriete.html" title="class in back">Propriete</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Joueur.</span><code><span class="memberNameLink"><a href="../../back/Joueur.html#ajouterUneMatiere-back.Propriete-">ajouterUneMatiere</a></span>(<a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;m)</code>
<div class="block">Méthode ajouterUneMatiere permet d'effectuer les tests afin de lancer la méthode ajouterMatière.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Statistiques.</span><code><span class="memberNameLink"><a href="../../back/Statistiques.html#ajouterUneSalleAchete-back.Propriete-">ajouterUneSalleAchete</a></span>(<a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>
<div class="block">Méthode ajouterUneSalleAchete permet d'effectuer les tests nécessaire pour lancer la méthode ajouterSalleAchete.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Statistiques.</span><code><span class="memberNameLink"><a href="../../back/Statistiques.html#ajouterUneSalleVendue-back.Propriete-">ajouterUneSalleVendue</a></span>(<a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>
<div class="block">Méthode ajouterUneSalleVendue permet d'effectuer les tests necessaire pour lancer la méthode ajouterSalleVendue.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Joueur.</span><code><span class="memberNameLink"><a href="../../back/Joueur.html#existeMatiere-back.Propriete-">existeMatiere</a></span>(<a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;m)</code>
<div class="block">Méthode existeMatiere permet de tester si une propriété est présente dans l'ArrayList matieres</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Statistiques.</span><code><span class="memberNameLink"><a href="../../back/Statistiques.html#existeSalleAchete-back.Propriete-">existeSalleAchete</a></span>(<a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>
<div class="block">Méthode existeSalleAchete permet de tester si une propriété est présente dans l'ArrayList salleAchetes</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Statistiques.</span><code><span class="memberNameLink"><a href="../../back/Statistiques.html#existeSalleVendue-back.Propriete-">existeSalleVendue</a></span>(<a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>
<div class="block">Méthode existeSalleVendue permet de tester si une propriété est présente dans l'ArrayList salleVendues</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Joueur.</span><code><span class="memberNameLink"><a href="../../back/Joueur.html#supprimerMatiere-back.Propriete-">supprimerMatiere</a></span>(<a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;m)</code>
<div class="block">Méthode supprimerMatiere permet de supprimer une Matiere m de l'ArrayList de Matiere et dans les ArrayList SalleVendue et SalleAchete de la classe Statistiques.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Statistiques.</span><code><span class="memberNameLink"><a href="../../back/Statistiques.html#supprimerSalleAchete-back.Propriete-">supprimerSalleAchete</a></span>(<a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>
<div class="block">Méthode supprimerSalleAchete permet de supprimer une salleAchete de l'ArrayList de salleAchetes.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Statistiques.</span><code><span class="memberNameLink"><a href="../../back/Statistiques.html#supprimerSalleVendue-back.Propriete-">supprimerSalleVendue</a></span>(<a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>
<div class="block">Méthode supprimerSalleVendue permet de supprimer une salleVendue de l'ArrayList de salleVendue.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../back/package-summary.html">back</a> with type arguments of type <a href="../../back/Propriete.html" title="class in back">Propriete</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Statistiques.</span><code><span class="memberNameLink"><a href="../../back/Statistiques.html#setSalleAchetes-java.util.ArrayList-">setSalleAchetes</a></span>(java.util.ArrayList&lt;<a href="../../back/Propriete.html" title="class in back">Propriete</a>&gt;&nbsp;salleAchetes)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Statistiques.</span><code><span class="memberNameLink"><a href="../../back/Statistiques.html#setSalleVendues-java.util.ArrayList-">setSalleVendues</a></span>(java.util.ArrayList&lt;<a href="../../back/Propriete.html" title="class in back">Propriete</a>&gt;&nbsp;salleVendues)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="view">
<!--   -->
</a>
<h3>Uses of <a href="../../back/Propriete.html" title="class in back">Propriete</a> in <a href="../../view/package-summary.html">view</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../view/package-summary.html">view</a> that return <a href="../../back/Propriete.html" title="class in back">Propriete</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../back/Propriete.html" title="class in back">Propriete</a></code></td>
<td class="colLast"><span class="typeNameLabel">Texte.</span><code><span class="memberNameLink"><a href="../../view/Texte.html#getPropriete--">getPropriete</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../view/package-summary.html">view</a> with parameters of type <a href="../../back/Propriete.html" title="class in back">Propriete</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">ActionView.</span><code><span class="memberNameLink"><a href="../../view/ActionView.html#acheter-back.Joueur-back.Propriete-">acheter</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j,
       <a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">ActionView.</span><code><span class="memberNameLink"><a href="../../view/ActionView.html#pasAcheter-back.Joueur-back.Propriete-">pasAcheter</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j,
          <a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">ActionView.</span><code><span class="memberNameLink"><a href="../../view/ActionView.html#payer-back.Joueur-back.Propriete-">payer</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j,
     <a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">ActionView.</span><code><span class="memberNameLink"><a href="../../view/ActionView.html#setActionAcheter-back.Joueur-back.Propriete-">setActionAcheter</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j,
                <a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">ActionView.</span><code><span class="memberNameLink"><a href="../../view/ActionView.html#setActionPayer-back.Joueur-back.Propriete-">setActionPayer</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j,
              <a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">ActionView.</span><code><span class="memberNameLink"><a href="../../view/ActionView.html#setActionVendre-back.Joueur-int-back.Propriete-">setActionVendre</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j,
               int&nbsp;val,
               <a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">ActionView.</span><code><span class="memberNameLink"><a href="../../view/ActionView.html#vendre-back.Joueur-int-back.Propriete-">vendre</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j,
      int&nbsp;val,
      <a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../view/package-summary.html">view</a> with parameters of type <a href="../../back/Propriete.html" title="class in back">Propriete</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../view/ActionAcheterView.html#ActionAcheterView-back.Joueur-back.Propriete-">ActionAcheterView</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j,
                 <a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../view/ActionPayerView.html#ActionPayerView-back.Joueur-back.Propriete-">ActionPayerView</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j,
               <a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../view/ActionVendreView.html#ActionVendreView-back.Joueur-int-back.Propriete-">ActionVendreView</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j,
                int&nbsp;aPayer,
                <a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../view/ProprieteView.html#ProprieteView-back.Propriete-">ProprieteView</a></span>(<a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;uneCase)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../view/Texte.html#Texte-java.lang.String-back.Propriete-">Texte</a></span>(java.lang.String&nbsp;value,
     <a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../back/Propriete.html" title="class in back">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?back/class-use/Propriete.html" target="_top">Frames</a></li>
<li><a href="Propriete.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
